function [Y,f]=TFD(y,Fe)
%% Cette fonction calcule la transformee de Fourier discrete
% ENTREES
% y : signal originel
% Fe : frequence d'echantillonnage
% SORTIES
% Y : transformee de Fourier discrete
% f : vecteur de frequences


NFFT=length(y);
% NFFT=256;
f=(0:NFFT-1)'*Fe/NFFT;
f(f>=Fe/2)=f(f>=Fe/2)-Fe;
f=fftshift(f);
Y=fftshift(fft(y,NFFT));

