function y=filtrage(x,type,fc,Fe)
%% Cette fonction filtre un signal
% ENTREES
% x : signal originel
% type : type de filtre ('low' | 'bandpass' | 'high' | 'stop')
% fc : frequence(s) de coupure
% Fe : frequence d'echantillonnage
% SORTIES
% y : signal filtre

wc=fc/(Fe/2);

[b,a] = butter(4,wc,type);   
y=filtfilt(b,a,x);
