function pred=prediction_AR(y,a,h);
%%% Recursive prediction with AR model
%%% Input parameters
%     - y : input signal
%     - a : AR parameters
%     - h : number of samples to predict
%%% Output parameters
%     - pred : predicted samples

y=y(:);
a=a(:);
pred=zeros(h,1);

sig=y(end-length(a)+1:end);
for i=1:h
    pred(i)=-sum(flipud(sig).*a);
    sig=[sig(2:end) ; pred(i)];
end
    
    